name: On Pull Request to Main

on:
  pull_request:
    branches: [main]
  workflow_call:

jobs:
  test:
    uses: ./.github/workflows/test.yml

  publish:
    needs: test
    uses: ./.github/workflows/publish-image.yml
    secrets: inherit

  deploy-dev:
    needs: publish
    uses: ./.github/workflows/deploy-dev.yml
    secrets: inherit
